/*
 * Title: time.c
 * Author: Jed Marti KI7NNP
 * Description: Timing for processes.
 * Revision History: (Created Sat Feb 11 08:52:00 2023)
 */


#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <sys/types.h>
#include <time.h>
#include <sys/time.h>

double timeus(void)
{
  struct timeval tv;

  gettimeofday(&tv, NULL);
  return (double) tv.tv_sec + (double) (tv.tv_usec / 1000000.0);
}


// EOF
